﻿@model IEnumerable<Kitap>

    <div class="header">
        <h1 class="page-header">
           Kitaplar
        </h1>
    </div>
    <div class="row">
        <div class="col-md-12">
            <!-- Advanced Tables -->
            <div class="card">
                <div class="card-action">
                    Kitap Lİstesi
                </div>
                <div class="card-content">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                            <thead>
                                <tr>
                                    <th>İsim:</th>
                                    <th>Yazar:</th>
                                    <th>Kategori:</th>
                                    <th>Sıra Numarası:</th>
                                    <th>Adedi:</th>
                                    <th>Eklenme Tarihi:</th>
                                    <th class="center">Düzenle:</th>
                                    <th class="center">Sil:</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr>
                                            <td>@item.Ad</td>
                                            <td>@item.Yazar</td>
                                            <td>@item.Kategori</td>
                                            <td>@item.SıraNo</td>
                                            <td>@item.Adet</td>
                                            <td>@item.EklenmeTarihi</td>
                                            <td><a asp-controller="Kitap" asp-action="KitapDuzenle" asp-route-id="@item.Id" class="waves-effect waves-light btn"> Düzenle </a></td>
                                            <td><a asp-controller="Kitap"  asp-action="KitapSil" asp-route-id="@item.Id"  class="waves-effect waves-light btn"> Sil </a></td>
                                        </tr>
                                    }
                                }
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
            <!--End Advanced Tables -->
        </div>
    </div>
    @section Scripts{
        <script src="/js/dataTables/jquery.dataTables.js"></script>
        <script src="/js/dataTables/dataTables.bootstrap.js"></script>
        <script>
            $(document).ready(function () {
                $('#dataTables-example').dataTable();
            });
        </script>
    }